Bug 29515 - Don't require title for HTML customizations
Summary: Don't require title for HTML customizations
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Keywords: release-notes-needed
Depends on: 24387
Blocks: 30272
  Show dependency treegraph
 
Reported: 2021-11-18 11:37 UTC by Katrin Fischer
Modified: 2022-10-18 17:15 UTC (History)
9 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.05.00


Attachments
Bug 29515: Make title for HTML customizations optional (2.71 KB, patch)
2021-11-19 13:11 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 29515: Make title for HTML customizations optional (2.77 KB, patch)
2021-11-19 20:19 UTC, PTFS Europe Sandboxes
Details | Diff | Splinter Review
Bug 29515: Make title for HTML customizations optional (2.86 KB, patch)
2022-02-10 10:46 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2021-11-18 11:37:12 UTC
The title field is mandatory for HTML customizations, but the field isn't used for display and doesn't make sense here.

I think we should at least make it not mandatory, but possibly could remove it altogether.
Comment 1 Katrin Fischer 2021-11-18 12:18:24 UTC
We have discussed on IRC and some HTML customizations like OpacLoginInstructions can display the title, but not all of them. 

We concluded that having the field optional would work well.
Comment 2 Lucas Gass 2021-11-18 15:58:02 UTC
+1

if you work in this area a lot its becomes a bit tedious to always have to add a superfluous title
Comment 3 David Cook 2021-11-19 04:28:18 UTC
(In reply to Lucas Gass from comment #2)
> +1
> 
> if you work in this area a lot its becomes a bit tedious to always have to
> add a superfluous title

I've recently noticed that I can just enter an empty space but it is very annoying...
Comment 4 Katrin Fischer 2021-11-19 13:11:30 UTC
Created attachment 127861 [details] [review]
Bug 29515: Make title for HTML customizations optional

This adds code to make the title field for HTML customizations optional
while it stays mandatory for news entries.

1) Add a new HTML customization, verify you are forced to enter a title
2) Apply patch
3) Repeat and verify that you can now save without title
4) Add a new news entry
5) Verify that the title field remained mandatory there.
Comment 5 PTFS Europe Sandboxes 2021-11-19 20:19:18 UTC
Created attachment 127898 [details] [review]
Bug 29515: Make title for HTML customizations optional

This adds code to make the title field for HTML customizations optional
while it stays mandatory for news entries.

1) Add a new HTML customization, verify you are forced to enter a title
2) Apply patch
3) Repeat and verify that you can now save without title
4) Add a new news entry
5) Verify that the title field remained mandatory there.

Signed-off-by: Barbara Johnson <barbara.johnson@bedfordtx.gov>
Comment 6 Martin Renvoize 2022-02-10 10:46:21 UTC
Created attachment 130424 [details] [review]
Bug 29515: Make title for HTML customizations optional

This adds code to make the title field for HTML customizations optional
while it stays mandatory for news entries.

1) Add a new HTML customization, verify you are forced to enter a title
2) Apply patch
3) Repeat and verify that you can now save without title
4) Add a new news entry
5) Verify that the title field remained mandatory there.

Signed-off-by: Barbara Johnson <barbara.johnson@bedfordtx.gov>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 7 Martin Renvoize 2022-02-10 10:47:16 UTC
All appears to continue to work.. I'm not entirely sure why title was required in the first place though.. it's not required for languages other than 'default' ?

Passing QA
Comment 8 Fridolin Somers 2022-02-15 06:49:13 UTC
This is not really enhancement.
I think it should be backported at least on stable 21.11.x
Comment 9 Fridolin Somers 2022-02-15 07:42:31 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄
Comment 10 Jonathan Druart 2022-03-22 11:23:11 UTC
Is this working? Additional contents are not created if the title is not filled in.
Comment 11 Catrina Berka 2022-10-18 15:39:19 UTC
I experience the same thing as Jonathan. The "+New entry" doesn't save if there isn't a title entered.
Comment 12 Martin Renvoize 2022-10-18 17:15:29 UTC
I recently found this broken again too.  This area appears rather fragile, I'm sure when I QA'd this bug it was working, but lots has moved again since.